Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class FunctionInfo

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.plugins.javascript.FunctionInfo

public class FunctionInfo
extends DataElementSupport

Provides JavaScript function description, and description for its arguments, throwable exception and returned value. Generally function info extracts the information from the `ru.biosoft.plugins.javascript.function` extension point.

`FunctionInfo` implements `DataElement` interface, so it can be shown in repository tree.

See Also: JScriptContext.defineFunction(IConfigurationElement,Context,ScriptableObject,ru.biosoft.access.DataCollection)

Inner Class Summary
`public static class` | FunctionInfo.Argument This class describes the JavaScript function argument.
`public static class` | FunctionInfo.ArgumentBeanInfo
`public static class` | FunctionInfo.Example Exampe of function usage.
`public static class` | FunctionInfo.ExampleBeanInfo
`public static class` | FunctionInfo.Exception Describes exeptions throwable by function.
`public static class` | FunctionInfo.ExceptionBeanInfo
`public class` | FunctionInfo.ReturnedValue Describes the returned value.
`public static class` | FunctionInfo.ReturnedValueBeanInfo

Constructor Summary
`FunctionInfo(String name, DataCollection parent)` Creates info for the specified JavaScript function.

Method Summary
`String` | `generateHtml()`
`Argument[]` | `getArguments()`
`String` | `getDescription()`
`Example[]` | `getExamples()`
`Exception[]` | `getExceptions()`
`ReturnedValue` | `getReturnedValue()`
`boolean` | `isExamplesHidden()`
`boolean` | `isExceptionsHidden()`
`void` | `setArguments(Argument[] arguments)`
`void` | `setDescription(String description)`
`void` | `setExamples(Example[] examples)`
`void` | `setExceptions(Exception[] exceptions)`
`void` | `setReturnedValue(ReturnedValue returnedValue)`
`String` | `toString()`
`String` | `toString(boolean isHtml)`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### FunctionInfo

    public FunctionInfo(String name, DataCollection parent)

  Creates info for the specified JavaScript function.
  Parameters:
    name - - JavaScript function name
    parent - `DataCollection` to which this function belongs. Generally it is `plugins/Javascript/functions`.

Method Detail

### generateHtml

    public String generateHtml()

### getArguments

    public Argument[] getArguments()

### getDescription

    public String getDescription()

### getExamples

    public Example[] getExamples()

### getExceptions

    public Exception[] getExceptions()

### getReturnedValue

    public ReturnedValue getReturnedValue()

### isExamplesHidden

    public boolean isExamplesHidden()

### isExceptionsHidden

    public boolean isExceptionsHidden()

### setArguments

    public void setArguments(Argument[] arguments)

### setDescription

    public void setDescription(String description)

### setExamples

    public void setExamples(Example[] examples)

### setExceptions

    public void setExceptions(Exception[] exceptions)

### setReturnedValue

    public void setReturnedValue(ReturnedValue returnedValue)

### toString

    public String toString()

### toString

    public String toString(boolean isHtml)

Association Links

to Class java.lang.String

  The function description

to Class ru.biosoft.plugins.javascript.FunctionInfo.Argument

  Function arguments description.

to Class ru.biosoft.plugins.javascript.FunctionInfo.ReturnedValue

  The returned value type and description.

to Class ru.biosoft.plugins.javascript.FunctionInfo.Exception

  Function exception description.

to Class ru.biosoft.plugins.javascript.FunctionInfo.Example

  Examples of function usage.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM